/************************************************************************
 *  TEST_SC3.C								*
 *			Test von sscanf()-Funktion (Teil 3)		*
 *			===================================		*
 *									*
 *  02.04.94	Bodo Wenzel	Erstellung (spezielle Version 51I)	*
 ************************************************************************/

/* === Einfgedateien ================================================= */

#include "stdio.h"
#include "string.h"

/* === Funktionsprototypen ============================================ */

puts_c(char *s);
str_c1(char *s);
str_c2(char *s);
str_c3(char *s);

scn_s(char *s,char *f);
hex(int n);
nib(int n);

/* === M A I N ======================================================== */

main()
/*--*/
  {
  getchar();

  for (;;)
    {
    puts_c("Gestartet...\r\n");

    scn_s(str_c1(""),str_c2("C%cC"));
    scn_s(str_c1("Test"),str_c2("C%cC"));
    scn_s(str_c1("CTestC"),str_c2("C%cC"));
    scn_s(str_c1("C Test C"),str_c2("C%cC"));
    scn_s(str_c1("CTC"),str_c2("C%cC"));
    scn_s(str_c1("C C"),str_c2("C%cC"));
    scn_s(str_c1("CTestC"),str_c2("C%4cC"));
    scn_s(str_c1("CTeststringC"),str_c2("C%4cC"));
    scn_s(str_c1("C Test C"),str_c2("C%4cC"));
    scn_s(str_c1("C Tst C"),str_c2("C %4c C"));
    scn_s(str_c1("C Te C"),str_c2("C%4cC"));
    scn_s(str_c1("CTeststringC"),str_c2("C%11cC"));
    scn_s(str_c1("C TeststringC"),str_c2("C%11cC"));
    scn_s(str_c1("CTeststring C"),str_c2("C%11cC"));
    getchar();
    }
  }

/* === Hilfsfunktionen ================================================ */

puts_c(char *s)
/*-----------*/
  {
  char	c;

  while (c=s++
#asm
	mov	dph,b
	mov	dpl,a
	mov	b,#0
	clr	a
	movc	a,@a+dptr
#endasm
	    )
    putchar(c);
  }

char	str1[15],str2[10],str3[35];

str_c1(char *s)
/*-----------*/
  {
  char	*p;

  p=str1;
  while (*p++=s++
#asm
	mov	dph,b
	mov	dpl,a
	mov	b,#0
	clr	a
	movc	a,@a+dptr
#endasm
	    );
  return(str1);
  }

str_c2(char *s)
/*-----------*/
  {
  char	*p;

  p=str2;
  while (*p++=s++
#asm
	mov	dph,b
	mov	dpl,a
	mov	b,#0
	clr	a
	movc	a,@a+dptr
#endasm
	    );
  return(str2);
  }

str_c3(char *s)
/*-----------*/
  {
  char	*p;

  p=str3;
  while (*p++=s++
#asm
	mov	dph,b
	mov	dpl,a
	mov	b,#0
	clr	a
	movc	a,@a+dptr
#endasm
	    );
  return(str3);
  }

/* === Tests von sscanf() ============================================= */

scn_s(char *s,char *f)
/*------------------*/
  {
  char	b[35];
  int	i;

  strcpy(b,str_c3("******************************"));
  i=sscanf(s,f,b);
  putchar('"');
  puts(f);
  puts_c("\"(\"");
  puts(s);
  puts_c("\")=>\"");
  puts(b);
  puts_c("\"(");
  hex(i);
  puts_c(")\r\n");
  }

/* === Ausgabefunktionen ============================================== */

hex(int n)
/*------*/
  {
  if (n<0)
    {
    n=-n;
    putchar('-');
    }
  else
    putchar('+');
  nib(n>>12);
  nib(n>>8);
  nib(n>>4);
  nib(n);
  }

nib(int n)
/*------*/
  {
  n=n&15;
  if (n<10)
    putchar(n+'0');
  else
    putchar(n-10+'A');
  }

/* === Ende =========================================================== */
