;****************************************************************
;*  PINC_LIB.S							*
;*		    Laufzeit-System fr MCS51 mit XDATA 	*
;*		    =================================== 	*
;*								*
;*  09.04.94	Bodo Wenzel	V1.0, Erstellung		*
;****************************************************************

;	ACHTUNG:
;	Bei den Einfgungen der Standardfunktionen mu eine
;	Reihenfolge beachtet werden, damit keine Assembler-
;	Fehlermeldungen erzeugt werden. Das heit zum Beispiel,
;	da der Code der Funktion "getchar" erst nach dem Code
;	der Funktion "gets" auf Einfgung getestet werden sollte.

;=== stdio-Funktionen ===========================================

	if	ref ccsprintf or def cc_sprintf
cc_sprintf	equ	0
	include "pinclib\sprintf.tok"
	endif

	if	ref ccsscanf or def cc_sscanf
cc_sscanf	equ	0
	include "pinclib\sscanf.tok"
	endif

	if	ref ccgets or def cc_gets
cc_gets 	equ	0
	include "pinclib\gets.tok"
	endif

	if	ref ccputs or def cc_puts
cc_puts 	equ	0
	include "pinclib\puts.tok"
	endif

	if	ref ccgetchar or def cc_getchar
cc_getchar	equ	0
	include "pinclib\getchar.tok"
	endif

	if	ref ccputchar or def cc_putchar
cc_putchar	equ	0
	include "pinclib\putchar.tok"
	endif

;=== stdlib-Funktionen ==========================================

	if	ref ccstrtoi or def cc_strtoi
cc_strtoi	equ	0
	include "pinclib\strtoi.tok"
	endif

	if	ref ccitostr or def cc_itostr
cc_itostr	equ	0
	include "pinclib\itostr.tok"
	endif

;=== string-Funktionen ==========================================

	if	ref ccstrcpy or def cc_strcpy
cc_strcpy	equ	0
	include "pinclib\strcpy.tok"
	endif

	if	ref ccstrncpy or def cc_strncpy
cc_strncpy	equ	0
	include "pinclib\strncpy.tok"
	endif

	if	ref ccstrcat or def cc_strcat
cc_strcat	equ	0
	include "pinclib\strcat.tok"
	endif

	if	ref ccstrncat or def cc_strncat
cc_strncat	equ	0
	include "pinclib\strncat.tok"
	endif

	if	ref ccstrcmp or def cc_strcmp
cc_strcmp	equ	0
	include "pinclib\strcmp.tok"
	endif

	if	ref ccstrncmp or def cc_strncmp
cc_strncmp	equ	0
	include "pinclib\strncmp.tok"
	endif

	if	ref ccstrchr or def cc_strchr
cc_strchr	equ	0
	include "pinclib\strchr.tok"
	endif

	if	ref ccstrrchr or def cc_strrchr
cc_strrchr	equ	0
	include "pinclib\strrchr.tok"
	endif

	if	ref ccstrlen or def cc_strlen
cc_strlen	equ	0
	include "pinclib\strlen.tok"
	endif

	if	ref ccreverse or def cc_reverse
cc_reverse	equ	0
	include "pinclib\reverse.tok"
	endif

;=== ctype-Funktionen ===========================================

	if	ref ccisalnum or def cc_isalnum
cc_isalnum	equ	0
	include "pinclib\isalnum.tok"
	endif

	if	ref ccisalpha or def cc_isalpha
cc_isalpha	equ	0
	include "pinclib\isalpha.tok"
	endif

	if	ref ccisdigit or def cc_isdigit
cc_isdigit	equ	0
	include "pinclib\isdigit.tok"
	endif

	if	ref ccisspace or def cc_isspace
cc_isspace	equ	0
	include "pinclib\isspace.tok"
	endif

	if	ref ccislower or def cc_islower
cc_islower	equ	0
	include "pinclib\islower.tok"
	endif

	if	ref ccisupper or def cc_isupper
cc_isupper	equ	0
	include "pinclib\isupper.tok"
	endif

	if	ref cctolower or def cc_tolower
cc_tolower	equ	0
	include "pinclib\tolower.tok"
	endif

	if	ref cctoupper or def cc_toupper
cc_toupper	equ	0
	include "pinclib\toupper.tok"
	endif

;=== Unterprogramme fr das Laufzeitsystem ======================

	if	ref cc_sp_pri or def cc__sp_pri
cc__sp_pri	equ	0
	include "pinclib\_sp_pri.tok"
	endif

	if	ref cc_corrsp or def cc__corrsp
cc__corrsp	equ	0
	include "pinclib\_corrsp.tok"
	endif

	if	ref cc_push_ba or def cc__push_ba
cc__push_ba	equ	0
	include "pinclib\_push_ba.tok"
	endif

	if	ref cc_tos_ptr or def cc__tos_ptr
cc__tos_ptr	equ	0
	include "pinclib\_tos_ptr.tok"
	endif

	if	ref cc_tos_r01 or def cc__tos_r01
cc__tos_r01	equ	0
	include "pinclib\_tos_r01.tok"
	endif

	if	ref cc_giind or def cc__giind
cc__giind	equ	0
	include "pinclib\_giind.tok"
	endif

	if	ref cc_siind or def cc__siind
cc__siind	equ	0
	include "pinclib\_siind.tok"
	endif

	if	ref cc_calloffs or def cc__calloffs
cc__calloffs	equ	0
	include "pinclib\_callofs.tok"
	endif

	if	ref cc_comp_tos or def cc__comp_tos
cc__comp_tos	equ	0
	include "pinclib\_cmp_tos.tok"
	endif

	if	ref cc_mul or def cc__mul
cc__mul 	equ	0
	include "pinclib\_mul.tok"
	endif

	if	ref cc_divmod or def cc__divmod
cc__divmod	equ	0
	include "pinclib\_divmod.tok"
	endif

	if	ref cc_comp or def cc__comp
cc__comp	equ	0
	include "pinclib\_comp.tok"
	endif

	if	ref cc_less or def cc__less
cc__less	equ	0
	include "pinclib\_less.tok"
	endif

	if	ref cc_more or def cc__more
cc__more	equ	0
	include "pinclib\_more.tok"
	endif

;=== Ende =======================================================
