/************************************************************************
 *  TEST_SC5.C								*
 *			Test von sscanf()-Funktion (Teil 5)		*
 *			===================================		*
 *									*
 *  02.04.94	Bodo Wenzel	Erstellung (spezielle Version 51X)	*
 ************************************************************************/

/* === Einfgedateien ================================================= */

#include "stdio.h"

/* === Funktionsprototypen ============================================ */

puts_c(char *s);
str_c1(char *s);
str_c2(char *s);

scn_i(char *s,char *f);
hex(int n);
nib(int n);

/* === M A I N ======================================================== */

main()
/*--*/
  {
  getchar();

  for (;;)
    {
    puts_c("Gestartet...\r\n");

    scn_i(str_c1(""),str_c2("8%x8"));
    scn_i(str_c1("8"),str_c2("8%x8"));
    scn_i(str_c1("89A"),str_c2("8%x8"));
    scn_i(str_c1("89A8"),str_c2("8%x8"));
    scn_i(str_c1("889A"),str_c2("8%x8"));
    scn_i(str_c1("889A8"),str_c2("8%x8"));
    scn_i(str_c1("89A 8"),str_c2("8%x8"));
    scn_i(str_c1("8 89A"),str_c2("8%x8"));
    scn_i(str_c1("8 89A 8"),str_c2("8%x8"));
    scn_i(str_c1("8 89A 8"),str_c2("8 %x8"));
    scn_i(str_c1("8 89A 8"),str_c2("8%x 8"));
    scn_i(str_c1("8 89A 8"),str_c2("8 %x 8"));
    getchar();

    scn_i(str_c1(""),str_c2("8%3x8"));
    scn_i(str_c1("8"),str_c2("8%3x8"));
    scn_i(str_c1("889A"),str_c2("8%3x8"));
    scn_i(str_c1("8 89A"),str_c2("8%3x8"));
    scn_i(str_c1("89A 8"),str_c2("8%3x8"));
    scn_i(str_c1("889A8"),str_c2("8%3x8"));
    scn_i(str_c1("8 89A8"),str_c2("8%3x8"));
    scn_i(str_c1("889A 8"),str_c2("8%3x8"));
    scn_i(str_c1("8 89A 8"),str_c2("8%3x8"));
    getchar();
    }
  }

/* === Hilfsfunktionen ================================================ */

puts_c(char *s)
/*-----------*/
  {
  char	c;

  while (c=s++
#asm
	mov	dph,b
	mov	dpl,a
	mov	b,#0
	clr	a
	movc	a,@a+dptr
#endasm
	    )
    putchar(c);
  }

char	str1[100],str2[100];

str_c1(char *s)
/*-----------*/
  {
  char	*p;

  p=str1;
  while (*p++=s++
#asm
	mov	dph,b
	mov	dpl,a
	mov	b,#0
	clr	a
	movc	a,@a+dptr
#endasm
	    );
  return(str1);
  }

str_c2(char *s)
/*-----------*/
  {
  char	*p;

  p=str2;
  while (*p++=s++
#asm
	mov	dph,b
	mov	dpl,a
	mov	b,#0
	clr	a
	movc	a,@a+dptr
#endasm
	    );
  return(str2);
  }

/* === Tests von sscanf() ============================================= */

scn_i(char *s,char *f)
/*------------------*/
  {
  int	i,v;

  v=123;
  i=sscanf(s,f,&v);
  putchar('"');
  puts(f);
  puts_c("\"(\"");
  puts(s);
  puts_c("\")=>");
  hex(v);
  putchar('(');
  hex(i);
  puts_c(")\r\n");
  }

/* === Ausgabefunktionen ============================================== */

hex(int n)
/*------*/
  {
  if (n<0)
    {
    n=-n;
    putchar('-');
    }
  else
    putchar('+');
  nib(n>>12);
  nib(n>>8);
  nib(n>>4);
  nib(n);
  }

nib(int n)
/*------*/
  {
  n=n&15;
  if (n<10)
    putchar(n+'0');
  else
    putchar(n-10+'A');
  }

/* === Ende =========================================================== */
