/************************************************************************
 *  GETS.C                                                              *
 *          String von stdin lesen (Version fr Atari-TOS, long model)  *
 *          ==========================================================  *
 *                                                                      *
 *  22.08.93    Bodo Wenzel     V1.0, Erstellung                        *
 ************************************************************************/

/* -------------------------------------------------------------------- */
/*      gets            liest eine Zeichenkette von der Standardeingabe */
/*                      mit einer Begrenzung auf 80 Zeichen             */
/*      s               Zeiger auf Puffer (mindestens 80 Byte!)         */

gets(char *s)
/*---------*/
  {
#asm
        move.l  4(sp),a6        ;Zeiger auf Puffer holen

        move.b  -(a6),d4
        move.b  -(a6),d5        ;zwei Bytes davor retten

        move.b  #79,(a6)        ;maximal 79 Zeichen + '\0'
        pea     (a6)
        move.w  #$A,-(sp)
        trap    #1
        addq.l  #6,sp           ;Zeichenkette holen

        clr.l   d0
        move.b  1(a6),d0        ;Anzahl Zeichen

        move.b  d5,(a6)+
        move.b  d4,(a6)+        ;gerettete Bytes zurck

        clr.b   (a6,d0.w)       ;Ende der Zeichenkette setzen
#endasm
  }

/* === Ende =========================================================== */
