/************************************************************************
 *  _MUL.C                                                              *
 *              Multiplikation (Version fr Atari-TOS, long model)      *
 *              ==================================================      *
 *                                                                      *
 *  22.08.93    Bodo Wenzel     V1.0, Erstellung                        *
 ************************************************************************/

/* -------------------------------------------------------------------- */
/*      _mul()          berechnet das Produkt                           */
/*      d0              I: Faktor 1                                     */
/*                      O: Produkt                                      */
/*      d1              I: Faktor 2                                     */

_mul()
/*--*/
  {
#asm
        move.l  d0,d7
        bpl.s   cc_01           ;Faktor 1 positiv ?
        neg.l   d0
        eor.l   d1,d7
        bmi.s   cc_02           ;Faktor 2 positiv ?
        neg.l   d1
        bra.s   cc_02
cc_01:
        eor.l   d1,d7
        bpl.s   cc_02           ;Faktor 2 positiv ?
        neg.l   d1
cc_02:

        move.l  d0,d2
        move.l  d1,d3
        swap    d3              ;D0=xxl1 D1=xxl2 D2=h1l1 D3=xxh2
        mulu    d1,d0           ;D0=l2*l1
        mulu    d2,d3           ;D3=l1*h2
        swap    d2
        mulu    d2,d1           ;D1=h1*l2
        add.l   d3,d1
        swap    d1
        clr.w   d1              ;Summe oberes Wort
        add.l   d1,d0
        bclr    #31,d0          ;Produkt nur positiv
                                ;kein berlauftest !
        tst.l   d7
        bpl.s   cc_03           ;Produkt positiv lassen ?
        neg.l   d0
cc_03:
#endasm
  }

/* === Ende =========================================================== */
