/************************************************************************
 *  TEST_GEM.C                                                          *
 *                      Test eines GEM-Programms                        *
 *                      ========================                        *
 *                                                                      *
 *  05.08.93    Bodo Wenzel     Erstellung                              *
 ************************************************************************/

/* === Funktionsprototypen ============================================ */

appl_init();
appl_exit();
menu_register(int apid,char *string);
evnt_mesag(char *msg);
form_alert(int defbttn,char *text);

/* === M A I N ======================================================== */

extern  int     _app;

main()
/*--*/
  {
  int   ap_id;
  char  m[16];

  if ((ap_id=appl_init())<0)
    return(1);
  if (_app)
    {
    form_alert(1,"[0][ |PINC Programm ][OK]");
    appl_exit();
    return(0);
    }
  else
    {
    menu_register(ap_id,"  PINC Accessory");
    for (;;)
      {
      evnt_mesag(m);
      if ((m[0]<<8)+m[1]==40)
        form_alert(1,"[0][ |PINC Accessory ][OK]");
      }
    }
  }

/* === GEM ganz primitiv ============================================== */

#asm

aes_pb: dc.l    control,global
        dc.l    intin,intout
        dc.l    adrin,adrout
control:ds.w    5       ;15
global: ds.w    15      ;80
intin:  ds.w    16      ;128
intout: ds.w    7       ;45
adrin:  ds.l    3       ;128
adrout: ds.l    1       ;6

aes:    move.l  #aes_pb,d1
        move.w  #200,d0
        trap    #2
        rts

#endasm

appl_init()
/*-------*/
  {
#asm
        move.w  #10,control
        move.w  #0,control+2
        move.w  #1,control+4
        move.w  #0,control+6
        move.w  #0,control+8
        jsr     aes
        clr.l   d0
        move.w  intout,d0
#endasm
  }

appl_exit()
/*-------*/
  {
#asm
        move.w  #19,control
        move.w  #0,control+2
        move.w  #1,control+4
        move.w  #0,control+6
        move.w  #0,control+8
        jsr     aes
        clr.l   d0
        move.w  intout,d0
#endasm
  }

menu_register(int apid,char *string)
/*--------------------------------*/
  {
#asm
        move.w  #35,control
        move.w  #1,control+2
        move.w  #1,control+4
        move.w  #1,control+6
        move.w  #0,control+8
        move.w  10(sp),intin
        move.l  4(sp),adrin
        jsr     aes
        clr.l   d0
        move.w  intout,d0
#endasm
  }

evnt_mesag(char *msg)
/*-----------------*/
  {
#asm
        move.w  #23,control
        move.w  #0,control+2
        move.w  #1,control+4
        move.w  #1,control+6
        move.w  #0,control+8
        move.l  4(sp),adrin
        jsr     aes
        clr.l   d0
        move.w  intout,d0
#endasm
  }

form_alert(int defbttn,char *text)
/*------------------------------*/
  {
#asm
        move.w  #52,control
        move.w  #1,control+2
        move.w  #1,control+4
        move.w  #1,control+6
        move.w  #0,control+8
        move.w  10(sp),intin
        move.l  4(sp),adrin
        jsr     aes
        clr.l   d0
        move.w  intout,d0
#endasm
  }

/* === Ende =========================================================== */
