/************************************************************************
 *  _STARTUP.C								*
 *			Startup-Code (Version fr 80x86-DOS)		*
 *			====================================		*
 *									*
 *  28.08.93	Bodo Wenzel	V1.0, Erstellung			*
 ************************************************************************/

/* -------------------------------------------------------------------- */
/*	Mit diesem Code wird jedes Programm gestartet. Er liefert an	*/
/*	den aufrufenden Proze den Wert der aufgerufenen "main"-	*/
/*	Funktion zurck.						*/
/*	Der Sprung an die Marke "_startup" wird mit dem Modul		*/
/*	"STACK.ASM" durchgefhrt!					*/

/* === Einfgedateien ================================================= */

#include "stdlib.h"

/* === Globale Variablen ============================================== */

	char	_psp[256];	/* Kopie des "program segment prefix"	*/

/* === Funktionsprototypen ============================================ */

main(char *arg);		/* Hauptfunktion des Programms		*/

/* === Funktion ======================================================= */

#asm
	db	"PINC fr 80x86-DOS V1.0 "
	db	"(C)1993 Bodo Wenzel"
#endasm

_startup()
/*------*/
  {
#asm
	mov	bx,ss
	mov	ax,es
	sub	bx,ax		;Anzahl Paragraphen zwischen PSP und Stack
	mov	ax,sp
	mov	cl,4
	shr	ax,cl		;Anzahl Paragraphen im Stack
	add	bx,ax
	inc	bx
	mov	ah,04AH
	int	021H		;nicht bentigten Speicher freigeben

	mov	ax,es
	mov	ds,ax
	mov	si,0
	mov	ax,ss
	mov	es,ax
	mov	di,offset cc_psp
	cld
	mov	cx,256/2
	rep movsw		;PSP kopieren, damit er zugreifbar wird

	mov	ax,ss
	mov	ds,ax		;Datensegment gleich Stacksegment

	mov	bp,offset cc_psp+080H
	mov	al,cc_psp+080H
	xor	ah,ah
	mov	di,ax
	inc	bp
	mov	[bp+di],ah	;Ende der Kommandozeile setzen

	push	bp		;Zeiger auf Parameter von Hand
#endasm
/*	int	ret;							*/
/*	ret=main(arg);							*/
/*	char	*arg;							*/
	exit(main()); 		/* ohne Parameter aufrufen		*/
  }

/* === Ende =========================================================== */
