/************************************************************************
 *  PINC.H, letzte nderung 24.06.93                                    *
 *                                                                      *
 *              PINC ist nicht C - ein Compiler fr alle                *
 *              ========================================                *
 *                                                                      *
 ************************************************************************/

/* === Konstanten ===================================================== */

#define RET_NONE        0
#define RET_ARG         1
#define RET_TABLE       2
#define RET_OPEN        3
#define RET_WRITE       4
#define RET_ABORT       5       /* EXIT-Codes von PINC                  */

#define ILINESIZE       200     /* maximale Zeilenlnge                 */
#define ILINEEND        199     /* ILINESIZE-1                          */
#define OLINESIZE       210     /* maximale Zeilenlnge                 */
#define OLINEEND        209     /* OLINESIZE-1                          */

/* === Globale Variablen ============================================== */

extern  char    *title;         /* Zeiger auf Programm-Meldung          */

extern  int     verbose,        /* Gesprchigkeit                       */
                outfile;        /* Ausgabedatei                         */

extern  char    iline[ILINESIZE],       /* Puffer zum Einlesen          */
                *ilineptr,              /* Zeiger in iline              */
                pline[ILINESIZE],       /* Puffer fr bearbeiteten Text */
                *plineptr,              /* Zeiger in pline              */
                oline[OLINESIZE];       /* Puffer fr auszugebenden Text*/

/* === Funktionsprototypen ============================================ */

testabort();                    /* Bei Bedarf abbrechen                 */

error(char *ptr);               /* Fehler melden                        */
erpointer();                    /* Mehrdimensionalitt melden           */
ername();                       /* Fehler im Symboltext melden          */
ermulti(char *s);               /* Doppelte Definition melden           */
erlvalue();                     /* "Lvalue"-Fehler melden               */
errfatal(char *s,int n);        /* Schweren Fehler melden               */

/* === Ende =========================================================== */
