/************************************************************************
 *  SYMBOL.H, letzte nderung 21.06.93                                  *
 *                                                                      *
 *                      Symbolverwaltung fr PINC                       *
 *                      =========================                       *
 *                                                                      *
 ************************************************************************/

/* --- Konstanten ----------------------------------------------------- */

#define NAMESIZE        14      /* Anzahl signifikanter Zeichen + 1     */
#define NAMEEND         13

#define CNAMESIZE       16      /* NAMESIZE + 2                         */

#define SYM_NAME        0
#define SYM_ID          14      /* SYM_NAME+NAMESIZE                    */
#define SYM_TYPE        15      /* SYM_ID+1                             */
#define SYM_OFFSET      16      /* SYM_CLASS+1                          */
#define SYMSIZE         20      /* SYM_OFFSET+maximale int-Breite       */

#define SYMMAX          10000           /* 500*SYMSIZE                  */
#define symbeg          sym             /* + 0                          */
#define symend          (sym+9980)      /* + SYMMAX-SYMSIZE             */

#define S_ID_VAR        1
#define S_ID_ARR        2
#define S_ID_PTR        3
#define S_ID_FNC        4       /* Werte fr SYM_ID                     */

#define S_TY_NONE       0
#define S_TY_CHR        1
#define S_TY_INT        2       /* Werte fr SYM_TYPE                   */

#define S_OF_REF        (-2)
#define S_OF_EXT        (-1)
#define S_OF_NONE       0
#define S_OF_FNC        4       /* Werte fr SYM_OFFSET                 */

/* --- Variablen ------------------------------------------------------ */

extern  char    sym[SYMMAX],    /* Puffer fr Symbole                   */
                *symptr,        /* Zeiger auf freien Platz              */
                *symlptr,       /* Zeiger auf Basis des innersten Blocks*/
                *symgptr;       /* Zeiger auf Ende der globalen Symbole */

/* --- Funktionsprototypen -------------------------------------------- */

syminit();                      /* Initialisierung                      */
symname(char *name);            /* Text als Namen testen und kopieren   */
symadd(char *name,char id,char type,int value); /* Symbol merken        */
symfind(char *name);            /* Symbol suchen                        */

/* === Ende =========================================================== */
