/************************************************************************
 *  TEST_ALU.C                                                          *
 *                  Test der arithmetisch/logischen Ausdrcke           *
 *                  =========================================           *
 *                                                                      *
 *  13.06.93    Bodo Wenzel     Erstellung                              *
 ************************************************************************/

char    c1;
int     i1;

func()
  {
  char  c2,*cp;
  int   i2,*ip;

/* Ausdruck */
  123;

/* Zuweisung */
  c1='a';
  c2='b';
  i1=123;
  i2=456;

/* mehrfache Zuweisung */
  i1=i2=c1=c2=0;

/* Disjunktion / Exklusiv-oder / Konjunktion */
  123 | 456 ^ 789 & 123;

/* Vergleiche mit Werten */
  i1==i2;
  i1!=i2;
  i1<i2;
  i1<=i2;
  i1>i2;
  i1>=i2;

/* Vergleiche mit Zeigern */
  &i1==ip;
  &i1!=ip;
  &i1<ip;
  &i1<=ip;
  &i1>ip;
  &i1>=ip;

/* links Schieben / rechts Schieben */
  123<<456;
  123>>456;

/* Addition/Subtraktion mit Werten */
  i1+2;
  c1-3;

/* Addition/Subtraktion mit Zeigern */
  ip+2;
  cp-3;

/* Multiplikation / Division / Modulo-Rechung */
  123 * 456 / 789 % 123;

/* Priorisierte Berechnungen */
  123 | 456 ^ 789 & 123 >= 123 << 456 + 789 * 123 / 456 % 789;
  123 % 456 / 789 * 123 + 123 << 456 >= 789 & 123 ^ 456 | 789;

/* Pre- und Postinkrement und -dekrement mit Werten */
  i1++;
  --i1;
  c1++;
  --c1;

/* Pre- und Postinkrement und -dekrement mit Zeigern */
  ip++;
  --ip;
  cp++;
  --cp;

/* Negatives Vorzeichen */
  -i1;

/* Adresse referenzieren und dereferenzieren */
  &i1;
  *ip;

/* Indexrechnung mit Zeigern */
  ip[3];
  cp[3];

/* Klammern */
  123 + ( 456 * 789 );
  ( 123 + 456 ) * 789;

/* Lokaler Wert */
  i2;
  c2;

/* Globaler Wert */
  i1;
  c1;

/* Dezimalzahl ohne Vorzeichen */
  123;

/* Dezimalzahl mit Vorzeichen */
  +123;
  -123;

/* Hexzahl ohne Vorzeichen */
  0xAB;

/* Hexzahl mit Vorzeichen */
  +0xAB;
  -0xAB;

/* Einzelzeichen */
  'a';

/* Mehrstellige Zeichen */
  'ab';

/* String */
  "Text";

  }

/* --- Ende ----------------------------------------------------------- */
