;PINC C-Compiler V1.0, Copyright 1993 Bodo Wenzel
;test_ctl.c pinc_xxx.tab -otest_ctl.s -v
;Universal-Tabelle

; --- Anfang ---
        BEGCODE
;/************************************************************************
; *  TEST_CTL.C                                                          *
; *                          Test der Kontrollanweisungen                *
; *                          ============================                *
; *                                                                      *
; *  13.06.93    Bodo Wenzel     Erstellung                              *
; ************************************************************************/
;
;func()
;  {
        PUBFUNC ccfunc
;  if (1)                /* "if"      ohne alles */
        LDIMM   1
        IFFJUMP cc1
;    ;
;  if (1)                /* "if-else" ohne alles */
        LABEL   cc1
        LDIMM   1
        IFFJUMP cc2
;    ;
;  else
        JUMP    cc3
        LABEL   cc2
;    ;
        LABEL   cc3
;  if (1)                /* "if"      mit einfachem Statement */
        LDIMM   1
        IFFJUMP cc4
;    123;
        LDIMM   123
;  if (1)                /* "if-else" mit einfachem Statement */
        LABEL   cc4
        LDIMM   1
        IFFJUMP cc5
;    123;
        LDIMM   123
;  else
        JUMP    cc6
        LABEL   cc5
;    456;
        LDIMM   456
        LABEL   cc6
;  if (1)                /* "if"      mit Block */
        LDIMM   1
        IFFJUMP cc7
;    {
;    int x;
;    123;
        CORRSP  -4
        LDIMM   123
;    }
        CORRSP  4
;  if (1)                /* "if-else" mit Block */
        LABEL   cc7
        LDIMM   1
        IFFJUMP cc8
;    {
;    int x;
;    123;
        CORRSP  -4
        LDIMM   123
;    }
        CORRSP  4
;  else
        JUMP    cc9
        LABEL   cc8
;    {
;    int x;
;    456;
        CORRSP  -4
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc9
;
;/* -------------------------------------------------------------------- */
;
;  switch (2)            /*           ohne alles */
        LDIMM   2
        PUSH
;    {
;    }
        CORRSP  4
        LABEL   cc10
;  switch (2)            /* "case"    ohne alles */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc12
;    }
        LABEL   cc12
        CORRSP  4
        LABEL   cc11
;  switch (2)            /* "default" ohne alles */
        LDIMM   2
        PUSH
;    {
;    default:
;    }
        CORRSP  4
        LABEL   cc14
;  switch (2)            /* "case"    mit einfachem Statement */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc17
;      123;
        LDIMM   123
;    }
        LABEL   cc17
        CORRSP  4
        LABEL   cc16
;  switch (2)            /* "default" mit einfachem Statement */
        LDIMM   2
        PUSH
;    {
;    default:
;      123;
        LDIMM   123
;    }
        CORRSP  4
        LABEL   cc19
;  switch (2)            /* c-d       mit einfachem Statement */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc22
;      123;
        LDIMM   123
;    default:
        LABEL   cc22
;      456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc21
;  switch (2)            /* d-c       mit einfachem Statement */
        LDIMM   2
        PUSH
;    {
;    default:
;      123;
        LDIMM   123
;    case 1:
        JUMP    cc26
        CPIMM   1
        IFNEJMP cc27
        LABEL   cc26
;      456;
        LDIMM   456
;    }
        LABEL   cc27
        CORRSP  4
        LABEL   cc25
;  switch (2)            /* c-c       mit einfachem Statement */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc30
;      123;
        LDIMM   123
;    case 2:
        JUMP    cc31
        LABEL   cc30
        CPIMM   2
        IFNEJMP cc32
        LABEL   cc31
;      456;
        LDIMM   456
;    }
        LABEL   cc32
        CORRSP  4
        LABEL   cc29
;  switch (2)            /* c-cd      mit einfachem Statement */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc35
;      123;
        LDIMM   123
;    case 2:
        JUMP    cc36
        LABEL   cc35
        CPIMM   2
        IFNEJMP cc37
        LABEL   cc36
;    default:
        LABEL   cc37
;      456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc34
;  switch (2)            /* cc-d      mit einfachem Statement */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc41
;    case 2:
        JUMP    cc42
        LABEL   cc41
        CPIMM   2
        IFNEJMP cc43
        LABEL   cc42
;      123;
        LDIMM   123
;    default:
        LABEL   cc43
;      456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc40
;  switch (2)            /* c-d       mit "break" */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc47
;      123;
        LDIMM   123
;      break;
        CORRSP  4
        JUMP    cc46
;    default:
        LABEL   cc47
;      456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc46
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc51
;      break;
        CORRSP  4
        JUMP    cc50
;      123;
        LDIMM   123
;    default:
        LABEL   cc51
;      456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc50
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc55
;      123;
        LDIMM   123
;    default:
        LABEL   cc55
;      456;
        LDIMM   456
;      break;
        CORRSP  4
        JUMP    cc54
;    }
        CORRSP  4
        LABEL   cc54
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc59
;      123;
        LDIMM   123
;    default:
        LABEL   cc59
;      break;
        CORRSP  4
        JUMP    cc58
;      456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc58
;  switch (2)            /* c-c     mit "break" */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc63
;      123;
        LDIMM   123
;      break;
        CORRSP  4
        JUMP    cc62
;    case 2:
        LABEL   cc63
        CPIMM   2
        IFNEJMP cc65
;      456;
        LDIMM   456
;    }
        LABEL   cc65
        CORRSP  4
        LABEL   cc62
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc68
;      break;
        CORRSP  4
        JUMP    cc67
;      123;
        LDIMM   123
;    case 2:
        JUMP    cc69
        LABEL   cc68
        CPIMM   2
        IFNEJMP cc70
        LABEL   cc69
;      456;
        LDIMM   456
;    }
        LABEL   cc70
        CORRSP  4
        LABEL   cc67
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc73
;      123;
        LDIMM   123
;    case 2:
        JUMP    cc74
        LABEL   cc73
        CPIMM   2
        IFNEJMP cc75
        LABEL   cc74
;      456;
        LDIMM   456
;      break;
        CORRSP  4
        JUMP    cc72
;    }
        LABEL   cc75
        CORRSP  4
        LABEL   cc72
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc78
;      123;
        LDIMM   123
;    case 2:
        JUMP    cc79
        LABEL   cc78
        CPIMM   2
        IFNEJMP cc80
        LABEL   cc79
;      break;
        CORRSP  4
        JUMP    cc77
;      456;
        LDIMM   456
;    }
        LABEL   cc80
        CORRSP  4
        LABEL   cc77
;  switch (2)            /* c-c-d   mit "break" */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc83
;      123;
        LDIMM   123
;      break;
        CORRSP  4
        JUMP    cc82
;    case 2:
        LABEL   cc83
        CPIMM   2
        IFNEJMP cc85
;      789;
        LDIMM   789
;    default:
        LABEL   cc85
;      456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc82
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc89
;      123;
        LDIMM   123
;    case 2:
        JUMP    cc90
        LABEL   cc89
        CPIMM   2
        IFNEJMP cc91
        LABEL   cc90
;      789;
        LDIMM   789
;      break;
        CORRSP  4
        JUMP    cc88
;    default:
        LABEL   cc91
;      456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc88
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc95
;      123;
        LDIMM   123
;    case 2:
        JUMP    cc96
        LABEL   cc95
        CPIMM   2
        IFNEJMP cc97
        LABEL   cc96
;      789;
        LDIMM   789
;    default:
        LABEL   cc97
;      456;
        LDIMM   456
;      break;
        CORRSP  4
        JUMP    cc94
;    }
        CORRSP  4
        LABEL   cc94
;  switch (2)            /* c-d     mit Block */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc101
;      {
;      int y;
;      123;
        CORRSP  -4
        LDIMM   123
;      }
        CORRSP  4
;    default:
        LABEL   cc101
;      456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc100
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc105
;      123;
        LDIMM   123
;    default:
        LABEL   cc105
;      {
;      int y;
;      456;
        CORRSP  -4
        LDIMM   456
;      }
        CORRSP  4
;    }
        CORRSP  4
        LABEL   cc104
;  switch (2)            /* c-c     mit Block */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc109
;      {
;      int y;
;      123;
        CORRSP  -4
        LDIMM   123
;      }
        CORRSP  4
;    case 2:
        JUMP    cc110
        LABEL   cc109
        CPIMM   2
        IFNEJMP cc111
        LABEL   cc110
;      456;
        LDIMM   456
;    }
        LABEL   cc111
        CORRSP  4
        LABEL   cc108
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc114
;      123;
        LDIMM   123
;    case 2:
        JUMP    cc115
        LABEL   cc114
        CPIMM   2
        IFNEJMP cc116
        LABEL   cc115
;      {
;      int y;
;      456;
        CORRSP  -4
        LDIMM   456
;      }
        CORRSP  4
;    }
        LABEL   cc116
        CORRSP  4
        LABEL   cc113
;  switch (2)            /* c-d     mit Block und "break" */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc119
;      {
;      int y;
;      123;
        CORRSP  -4
        LDIMM   123
;      break;
        CORRSP  8
        JUMP    cc118
;      }
        CORRSP  4
;    default:
        LABEL   cc119
;      456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc118
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc123
;      123;
        LDIMM   123
;    default:
        LABEL   cc123
;      {
;      int y;
;      456;
        CORRSP  -4
        LDIMM   456
;      break;
        CORRSP  8
        JUMP    cc122
;      }
        CORRSP  4
;    }
        CORRSP  4
        LABEL   cc122
;  switch (2)            /* c-c     mit Block und "break" */
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc127
;      {
;      int y;
;      123;
        CORRSP  -4
        LDIMM   123
;      break;
        CORRSP  8
        JUMP    cc126
;      }
        CORRSP  4
;    case 2:
        LABEL   cc127
        CPIMM   2
        IFNEJMP cc129
;      456;
        LDIMM   456
;    }
        LABEL   cc129
        CORRSP  4
        LABEL   cc126
;  switch (2)
        LDIMM   2
        PUSH
;    {
;    case 1:
        CPIMM   1
        IFNEJMP cc132
;      123;
        LDIMM   123
;    case 2:
        JUMP    cc133
        LABEL   cc132
        CPIMM   2
        IFNEJMP cc134
        LABEL   cc133
;      {
;      int y;
;      456;
        CORRSP  -4
        LDIMM   456
;      break;
        CORRSP  8
        JUMP    cc131
;      }
        CORRSP  4
;    }
        LABEL   cc134
        CORRSP  4
        LABEL   cc131
;
;/* -------------------------------------------------------------------- */
;
;  while (3)             /* ohne alles */
        LABEL   cc136
        LDIMM   3
        IFFJUMP cc137
;    ;
        JUMP    cc136
        LABEL   cc137
;  while (3)             /* mit einfachem Statement */
        LABEL   cc138
        LDIMM   3
        IFFJUMP cc139
;    123;
        LDIMM   123
        JUMP    cc138
        LABEL   cc139
;  while (3)             /* mit "continue" */
        LABEL   cc140
        LDIMM   3
        IFFJUMP cc141
;    continue;
        JUMP    cc140
        JUMP    cc140
        LABEL   cc141
;  while (3)             /* mit "break" */
        LABEL   cc142
        LDIMM   3
        IFFJUMP cc143
;    break;
        JUMP    cc143
        JUMP    cc142
        LABEL   cc143
;  while (3)             /* mit Block */
        LABEL   cc144
        LDIMM   3
        IFFJUMP cc145
;    {
;    int x;
;    123;
        CORRSP  -4
        LDIMM   123
;    }
        CORRSP  4
        JUMP    cc144
        LABEL   cc145
;  while (3)             /* mit Block und "continue" */
        LABEL   cc146
        LDIMM   3
        IFFJUMP cc147
;    {
;    int x;
;    123;
        CORRSP  -4
        LDIMM   123
;    continue;
        CORRSP  4
        JUMP    cc146
;    456;
        LDIMM   456
;    }
        CORRSP  4
        JUMP    cc146
        LABEL   cc147
;  while (3)             /* mit Block und "break" */
        LABEL   cc148
        LDIMM   3
        IFFJUMP cc149
;    {
;    int x;
;    123;
        CORRSP  -4
        LDIMM   123
;    break;
        CORRSP  4
        JUMP    cc149
;    456;
        LDIMM   456
;    }
        CORRSP  4
        JUMP    cc148
        LABEL   cc149
;
;/* -------------------------------------------------------------------- */
;
;  do                    /* ohne alles */
        LABEL   cc150
;    ;
        LABEL   cc151
;  while (4);
        LDIMM   4
        IFTJUMP cc150
        LABEL   cc152
;  do                    /* mit einfachem Statement */
        LABEL   cc153
;    123;
        LDIMM   123
        LABEL   cc154
;  while (4);
        LDIMM   4
        IFTJUMP cc153
        LABEL   cc155
;  do                    /* mit "continue" */
        LABEL   cc156
;    continue;
        JUMP    cc157
        LABEL   cc157
;  while (4);
        LDIMM   4
        IFTJUMP cc156
        LABEL   cc158
;  do                    /* mit "break" */
        LABEL   cc159
;    break;
        JUMP    cc161
        LABEL   cc160
;  while (4);
        LDIMM   4
        IFTJUMP cc159
        LABEL   cc161
;  do                    /* mit Block */
        LABEL   cc162
;    {
;    int x;
;    123;
        CORRSP  -4
        LDIMM   123
;    456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc163
;  while (4);
        LDIMM   4
        IFTJUMP cc162
        LABEL   cc164
;  do                    /* mit Block und "continue" */
        LABEL   cc165
;    {
;    int x;
;    123;
        CORRSP  -4
        LDIMM   123
;    continue;
        CORRSP  4
        JUMP    cc166
;    456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc166
;  while (4);
        LDIMM   4
        IFTJUMP cc165
        LABEL   cc167
;  do                    /* mit Block und "break" */
        LABEL   cc168
;    {
;    int x;
;    123;
        CORRSP  -4
        LDIMM   123
;    break;
        CORRSP  4
        JUMP    cc170
;    456;
        LDIMM   456
;    }
        CORRSP  4
        LABEL   cc169
;  while (4);
        LDIMM   4
        IFTJUMP cc168
        LABEL   cc170
;
;/* -------------------------------------------------------------------- */
;
;  for (;;)              /* ohne alles */
        LABEL   cc171
        JUMP    cc172
        LABEL   cc173
        JUMP    cc171
        LABEL   cc172
;    ;
        JUMP    cc173
        LABEL   cc174
;  for (;;)              /* mit einfachem Statement */
        LABEL   cc175
        JUMP    cc176
        LABEL   cc177
        JUMP    cc175
        LABEL   cc176
;    123;
        LDIMM   123
        JUMP    cc177
        LABEL   cc178
;  for (;;)              /* mit "continue" */
        LABEL   cc179
        JUMP    cc180
        LABEL   cc181
        JUMP    cc179
        LABEL   cc180
;    continue;
        JUMP    cc181
        JUMP    cc181
        LABEL   cc182
;  for (;;)              /* mit "break" */
        LABEL   cc183
        JUMP    cc184
        LABEL   cc185
        JUMP    cc183
        LABEL   cc184
;    break;
        JUMP    cc186
        JUMP    cc185
        LABEL   cc186
;  for (321; 654; 987)   /* ohne alles */
        LDIMM   321
        LABEL   cc187
        LDIMM   654
        IFFJUMP cc190
        JUMP    cc188
        LABEL   cc189
        LDIMM   987
        JUMP    cc187
        LABEL   cc188
;    ;
        JUMP    cc189
        LABEL   cc190
;  for (321; 654; 987)   /* mit einfachem Statement */
        LDIMM   321
        LABEL   cc191
        LDIMM   654
        IFFJUMP cc194
        JUMP    cc192
        LABEL   cc193
        LDIMM   987
        JUMP    cc191
        LABEL   cc192
;    123;
        LDIMM   123
        JUMP    cc193
        LABEL   cc194
;  for (321; 654; 987)   /* mit "continue" */
        LDIMM   321
        LABEL   cc195
        LDIMM   654
        IFFJUMP cc198
        JUMP    cc196
        LABEL   cc197
        LDIMM   987
        JUMP    cc195
        LABEL   cc196
;    continue;
        JUMP    cc197
        JUMP    cc197
        LABEL   cc198
;  for (321; 654; 987)   /* mit "break" */
        LDIMM   321
        LABEL   cc199
        LDIMM   654
        IFFJUMP cc202
        JUMP    cc200
        LABEL   cc201
        LDIMM   987
        JUMP    cc199
        LABEL   cc200
;    break;
        JUMP    cc202
        JUMP    cc201
        LABEL   cc202
;  for (321; 654; 987)   /* mit Block */
        LDIMM   321
        LABEL   cc203
        LDIMM   654
        IFFJUMP cc206
        JUMP    cc204
        LABEL   cc205
        LDIMM   987
        JUMP    cc203
        LABEL   cc204
;    {
;    int x;
;    123;
        CORRSP  -4
        LDIMM   123
;    456;
        LDIMM   456
;    }
        CORRSP  4
        JUMP    cc205
        LABEL   cc206
;  for (321; 654; 987)   /* mit Block und "continue" */
        LDIMM   321
        LABEL   cc207
        LDIMM   654
        IFFJUMP cc210
        JUMP    cc208
        LABEL   cc209
        LDIMM   987
        JUMP    cc207
        LABEL   cc208
;    {
;    int x;
;    123;
        CORRSP  -4
        LDIMM   123
;    continue;
        CORRSP  4
        JUMP    cc209
;    456;
        LDIMM   456
;    }
        CORRSP  4
        JUMP    cc209
        LABEL   cc210
;  for (321; 654; 987)   /* mit Block und "break" */
        LDIMM   321
        LABEL   cc211
        LDIMM   654
        IFFJUMP cc214
        JUMP    cc212
        LABEL   cc213
        LDIMM   987
        JUMP    cc211
        LABEL   cc212
;    {
;    int x;
;    123;
        CORRSP  -4
        LDIMM   123
;    break;
        CORRSP  4
        JUMP    cc214
;    456;
        LDIMM   456
;    }
        CORRSP  4
        JUMP    cc213
        LABEL   cc214
;
;/* -------------------------------------------------------------------- */
;
;  return;               /* ohne alles */
        RETURN
;  return 123;           /* mit Wert */
        LDIMM   123
        RETURN
;  }
;
;/* --- Ende ----------------------------------------------------------- */
;
;
        ENDCODE
        BEGDATA
        CLABEL  cc0
        ENDDATA
        BEGBSS
        ENDBSS
        END
; --- Ende ---
;Es gab 0 Fehler beim Compilieren.
