/************************************************************************
 *  _DIVMOD.C								*
 *	    Division (Version fr MCS51 mit IDATA)			*
 *	    ======================================			*
 *									*
 *  02.04.94	Bodo Wenzel	V1.0, Erstellung			*
 ************************************************************************/

/* -------------------------------------------------------------------- */
/*	_divmod()	dividiert R0R1 durch BA, Ergebnis in BA,	*/
/*			Rest in R0R1					*/

_divmod()
/*-----*/
  {
#asm
	mov	r2,b		;ba (r01) = r01 / ba
	mov	r3,a
	clr	f0
	jnb	b.7,_cc_divmod01
	cpl	f0
	clr	c
	clr	a
	subb	a,r3
	mov	r3,a
	clr	a
	subb	a,r2
	mov	r2,a
_cc_divmod01:
	clr	c
	mov	a,r0
	jnb	acc.7,_cc_divmod02
	cpl	f0
	clr	a
	subb	a,r1
	mov	r1,a
	clr	a
	subb	a,r0
	mov	r0,a
	setb	c
_cc_divmod02:
	push	psw	;f0=+-q cy=+-r
	clr	a
	mov	r4,a
	mov	r5,a
	mov	r6,a
	mov	r7,a
	mov	b,#16
_cc_divmod03:
	clr	c
	mov	a,r2
	rrc	a
	mov	r2,a
	mov	a,r3
	rrc	a
	mov	r3,a
	mov	a,r4
	rrc	a
	mov	r4,a
	mov	a,r5
	rrc	a
	mov	r5,a
; dividend  0000yyyy 0000r0r1 => rrrr r0r1
; divisor   ..xxxx.. r2r3r4r5
; quotient  qqqq     r6r7
	clr	c
	mov	a,r1
	subb	a,r5
	mov	a,r0
	subb	a,r4
	clr	a
	subb	a,r3
	clr	a
	subb	a,r2
	jb	cy,_cc_divmod04
	mov	a,r1
	subb	a,r5
	mov	r1,a
	mov	a,r0
	subb	a,r4
	mov	r0,a
_cc_divmod04:
	cpl	c
	mov	a,r7
	rlc	a
	mov	r7,a
	mov	a,r6
	rlc	a
	mov	r6,a
	djnz	b,_cc_divmod03
	pop	psw	;f0=+-q cy=+-r
	jnb	cy,_cc_divmod05
	clr	c
	clr	a
	subb	a,r1
	mov	r1,a
	clr	a
	subb	a,r0
	mov	r0,a
_cc_divmod05:
	jnb	f0,_cc_divmod06
	clr	c
	clr	a
	subb	a,r7
	mov	r7,a
	clr	a
	subb	a,r6
	mov	r6,a
_cc_divmod06:
	mov	b,r6
	mov	a,r7
#endasm
  }

/* === Ende =========================================================== */
