/************************************************************************
 *  STDIO.H                                                             *
 *                      STanDard-Input-Output (fr PINC)                *
 *                      ================================                *
 *                                                                      *
 *  13.06.93    Bodo Wenzel     Erstellung                              *
 ************************************************************************/

/* === Konstanten und Typen =========================================== */

#define NULL    0
#define EOF     (-1)            /* fr STDIO-Funktionen                 */

#define FILE    char            /* fr Datei-Funktionen                 */

#define stdin   0
#define stdout  1
#define stderr  2               /* Standard-Dateihandle                 */

/* === Funktionsprototypen ============================================ */

getchar();                              /* ein Zeichen von der Konsole  */
putchar(char c);                        /* ein Zeichen an die Konsole   */
gets(char *s);                          /* eine Zeile von der Konsole   */
puts(char *s);                          /* eine Zeile an die Konsole    */

fopen(char *name,char *mode);           /* Datei ffnen                 */
fclose(FILE *file);                     /* Datei schlieen              */
fgetc(FILE *file);                      /* ein Zeichen aus der Datei    */
fputc(int c,FILE *file);                /* ein Zeichen an die Datei     */
fgets(char *s,int n,FILE *f);           /* eine Zeile aus der Datei     */
fputs(char *s,FILE *f);                 /* eine Zeile an die Datei      */

sprintf(char *s,char *format,int arg);  /* Argument formatiert schreiben*/
sscanf(char *s,char *format,int *arg);  /* Argument formatiert lesen    */

/* === Ende =========================================================== */
