/************************************************************************
 *  GETS.C								*
 *		String von stdin lesen (Version fr MCS51 mit XDATA)	*
 *		====================================================	*
 *									*
 *  02.04.94	Bodo Wenzel	V1.0, Erstellung			*
 ************************************************************************/

#include "stdio.h"

/* -------------------------------------------------------------------- */
/*	gets		liest eine Zeichenkette von der Standardeingabe */
/*			mit einer Begrenzung auf 80 Zeichen		*/
/*	s		Zeiger auf Puffer (mindestens 80 Byte!) 	*/

gets(char *s)
/*---------*/
  {
  int	i;
  char	c;

  i=0;
  while ((c=getchar())!='\r')
    switch (c) {
    case '\b':
      if (i>0) {
	--i;
	putchar('\b');
	putchar(' ');
	putchar('\b');
	}
      break;
    case 0x18:
      while (i>0) {
	--i;
	putchar('\b');
	putchar(' ');
	putchar('\b');
	}
      break;
    default:
      if (i<79 & c>=' ') {
	s[i++]=c;
	putchar(c);
	}
      break;
      }
  s[i]='\0';
  }

/* === Ende =========================================================== */
