/************************************************************************
 *  _DIVMOD.C								*
 *	    Division (Version fr MCS51 mit XDATA)			*
 *	    ======================================			*
 *									*
 *  02.04.94	Bodo Wenzel	V1.0, Erstellung			*
 ************************************************************************/

/* -------------------------------------------------------------------- */
/*	_divmod()	dividiert BA durch R0R1, Ergebnis in BA,	*/
/*			Rest in R6R7					*/

_divmod()
/*-----*/
  {
#asm
	push	ar2		;ba (r67) = ba / r01
	push	ar3
	mov	r6,b
	mov	r7,a
	clr	f0
	mov	a,r0
	jnb	acc.7,_cc_divmod01
	cpl	f0
	clr	c
	clr	a
	subb	a,r1
	mov	r1,a
	clr	a
	subb	a,r0
	mov	r0,a
_cc_divmod01:
	clr	c
	mov	a,r6
	jnb	acc.7,_cc_divmod02
	cpl	f0
	clr	a
	subb	a,r7
	mov	r7,a
	clr	a
	subb	a,r6
	mov	r6,a
	setb	c
_cc_divmod02:
	push	psw	;f0=+-q cy=+-r
	clr	a
	mov	r2,a
	mov	r3,a
	mov	r4,a
	mov	r5,a
	mov	b,#16
_cc_divmod03:
	clr	c
	mov	a,r0
	rrc	a
	mov	r0,a
	mov	a,r1
	rrc	a
	mov	r1,a
	mov	a,r2
	rrc	a
	mov	r2,a
	mov	a,r3
	rrc	a
	mov	r3,a
; dividend  0000yyyy 0000r6r7 => rrrr r6r7
; divisor   ..xxxx.. r0r1r2r3
; quotient  qqqq     r4r5
	clr	c
	mov	a,r7
	subb	a,r3
	mov	a,r6
	subb	a,r2
	clr	a
	subb	a,r1
	clr	a
	subb	a,r0
	jb	cy,_cc_divmod04
	mov	a,r7
	subb	a,r3
	mov	r7,a
	mov	a,r6
	subb	a,r2
	mov	r6,a
_cc_divmod04:
	cpl	c
	mov	a,r5
	rlc	a
	mov	r5,a
	mov	a,r4
	rlc	a
	mov	r4,a
	djnz	b,_cc_divmod03
	pop	psw	;f0=+-q cy=+-r
	jnb	cy,_cc_divmod05
	clr	c
	clr	a
	subb	a,r7
	mov	r7,a
	clr	a
	subb	a,r6
	mov	r6,a
_cc_divmod05:
	jnb	f0,_cc_divmod06
	clr	c
	clr	a
	subb	a,r5
	mov	r5,a
	clr	a
	subb	a,r4
	mov	r4,a
_cc_divmod06:
	mov	b,r4
	mov	a,r5
	pop	ar3
	pop	ar2
#endasm
  }

/* === Ende =========================================================== */
