/************************************************************************
 *  TEST_PR1.C								*
 *			Test der sprintf()-Funktion (Teil 1)		*
 *			====================================		*
 *									*
 *  02.04.94	Bodo Wenzel	Erstellung (spezielle Version 51X)	*
 ************************************************************************/

/* === Einfgedateien ================================================= */

#include "stdio.h"
#include "string.h"

/* === Funktionsprototypen ============================================ */

puts_c(char *s);
str_c1(char *s);
str_c2(char *s);

prt_i(char *f,int v);
hex(int n);
nib(int n);

/* === M A I N ======================================================== */

main()
/*--*/
  {
  getchar();

  for (;;)
    {
    puts_c("Gestartet...\r\n");

    prt_i(str_c1(""),0);
    prt_i(str_c1("%"),0);
    prt_i(str_c1("Teststring"),0);
    prt_i(str_c1("%% %?"),0);
    getchar();

    prt_i(str_c1("%d"),1);
    prt_i(str_c1("%x"),1);
    prt_i(str_c1("%c"),1);
    getchar();

    prt_i(str_c1("%d"),-123);
    prt_i(str_c1("%x"),-123);
    prt_i(str_c1("%c"),-123);
    getchar();

    prt_i(str_c1("%d"),123);
    prt_i(str_c1("%x"),123);
    prt_i(str_c1("%c"),123);
    getchar();

    prt_i(str_c1("%-d"),123);
    prt_i(str_c1("%-x"),123);
    prt_i(str_c1("%-c"),123);
    getchar();

    prt_i(str_c1("%5d"),123);
    prt_i(str_c1("%5x"),123);
    prt_i(str_c1("%5c"),123);
    getchar();

    prt_i(str_c1("%-5d"),123);
    prt_i(str_c1("%-5x"),123);
    prt_i(str_c1("%-5c"),123);
    getchar();

    prt_i(str_c1("%0d"),123);
    prt_i(str_c1("%0x"),123);
    prt_i(str_c1("%0c"),123);
    getchar();

    prt_i(str_c1("%-0d"),123);
    prt_i(str_c1("%-0x"),123);
    prt_i(str_c1("%-0c"),123);
    getchar();

    prt_i(str_c1("%05d"),123);
    prt_i(str_c1("%05x"),123);
    prt_i(str_c1("%05c"),123);
    getchar();

    prt_i(str_c1("%-05d"),123);
    prt_i(str_c1("%-05x"),123);
    prt_i(str_c1("%-05c"),123);
    getchar();
    }
  }

/* === Hilfsfunktionen ================================================ */

puts_c(char *s)
/*-----------*/
  {
  char	c;

  while (c=s++
#asm
	mov	dph,b
	mov	dpl,a
	mov	b,#0
	clr	a
	movc	a,@a+dptr
#endasm
	    )
    putchar(c);
  }

char	str1[100],str2[100];

str_c1(char *s)
/*-----------*/
  {
  char	*p;

  p=str1;
  while (*p++=s++
#asm
	mov	dph,b
	mov	dpl,a
	mov	b,#0
	clr	a
	movc	a,@a+dptr
#endasm
	    );
  return(str1);
  }

str_c2(char *s)
/*-----------*/
  {
  char	*p;

  p=str2;
  while (*p++=s++
#asm
	mov	dph,b
	mov	dpl,a
	mov	b,#0
	clr	a
	movc	a,@a+dptr
#endasm
	    );
  return(str2);
  }

/* === Test von sprintf() ============================================= */

prt_i(char *f,int v)
/*----------------*/
  {
  char	s[100];
  int	i;

  strcpy(s,str_c2("******************************"));
  i=sprintf(s,f,v);
  putchar('"');
  puts(f);
  puts_c("\"(");
  hex(v);
  puts_c(")=>(");
  hex(i);
  puts_c(")\"");
  puts(s);
  puts_c("\"\r\n");
  }

/* === Ausgabefunktionen ============================================== */

hex(int n)
/*------*/
  {
  if (n<0)
    {
    n=-n;
    putchar('-');
    }
  else
    putchar('+');
  nib(n>>4);
  nib(n);
  }

nib(int n)
/*------*/
  {
  n=n&15;
  if (n<10)
    putchar(n+'0');
  else
    putchar(n-10+'A');
  }

/* === Ende =========================================================== */
