/************************************************************************
 *  PREPROC.H, letzte nderung 26.06.93                                 *
 *                                                                      *
 *                      Der Preprozessor fr PINC                       *
 *                      =========================                       *
 *                                                                      *
 ************************************************************************/

/* === Konstanten ===================================================== */

#define INMAXF  5               /* maximale Anzahl "include"s           */

/* === Globale Variablen ============================================== */

extern  int     ineof,                  /* Ende aller Eingaben          */
                infile[INMAXF],         /* Eingabedateien               */
                in_i,                   /* Index der Eingabedatei       */
                fileline[INMAXF],       /* Anzahl Zeilen in Datei       */
                funcline;               /* Startzeile der Funktion      */

/* === Funktionsprototypen ============================================ */

ininit();                       /* Initialisierung                      */
inopen(char *name);             /* Nchste Datei ffnen                 */

ppactch();                      /* aktuelles Zeichen mit Holen          */
ppch0();                        /* aktuelles Zeichen                    */
ppch1();                        /* nchstes Zeichen                     */
ppgetch();                      /* aktuelles Zeichen und weiter         */

preinit();                      /* Initialisierung                      */
preprocess();                   /* Preprozessor                         */

alpha(char c);                  /* Buchstabe oder Unterstrich           */
alnum(char c);                  /* Buchstabe, Ziffer oder Unterstrich   */

matchx(char *s);                /* Test auf beliebigen Text, wird bei   */
matcha(char *s);                /* Test auf Text ohne folgende "alnums" */

skipjunk();                     /* aktuelle Stelle berspringen         */

/* === Ende =========================================================== */
