/************************************************************************
 *  TEST_FIL.C                                                          *
 *                      Test von Dateifunktionen                        *
 *                      ========================                        *
 *                                                                      *
 *  26.06.93    Bodo Wenzel     Erstellung                              *
 ************************************************************************/

/* === Einfgedateien ================================================= */

#include "stdio.h"
#include "stdlib.h"
#include "string.h"

/* === Funktionsprototypen ============================================ */

hex2(int n);
hex4(int n);
nib(int n);

/* === M A I N ======================================================== */

main(char *arg)
/*-----------*/
  {
  char *s,*f1,*f2,*f3,l[100];
  int i,d;
  FILE *f;

  s=arg;
  while (*s!='\0' & *s==' ')
    ++s;
  f1=s;
  while (*s!='\0' & *s!=' ')
    ++s;
  if (*s!='\0')
    *s++='\0';
  while (*s!='\0' & *s==' ')
    ++s;
  f2=s;
  while (*s!='\0' & *s!=' ')
    ++s;
  if (*s!='\0')
    *s++='\0';
  while (*s!='\0' & *s==' ')
    ++s;
  f3=s;
  while (*s!='\0' & *s!=' ')
    ++s;
  *s='\0';
  if (*f1=='\0' | *f2=='\0' | *f3=='\0')
    {
    puts("Bitte drei Dateinamen angeben!\r\n");
    puts("1. Name = zeichenweise und zeilenweise lesen,\r\n");
    puts("2. Name = zeichenweise schreiben,\r\n");
    puts("3. Name = zeilenweise schreiben.\r\n");
    puts("Eingabe- und Ausgabeumleitung auch testbar...\r\n");
    exit(1);
    }

  puts("Datei zeichenweise lesen\r\n");
  if (f=fopen(f1,"r"))
    {
    while ((d=fgetc(f))!=EOF)
      putchar(d);
    fclose(f);
    }
  else
    puts("Kann Eingabedatei nicht ffnen!\r\n");

  puts("Datei zeichenweise schreiben\r\n");
  if (f=fopen(f2,"w"))
    {
    fputc('T',f);
    fputc('e',f);
    fputc('s',f);
    fputc('t',f);
    fputc('\r',f);
    fputc('\n',f);
    for (i=0; i<100; i++)
      fputc('X',f);
    fputc('\r',f);
    if (fputc('\n',f)!='\n')
      puts("Schreibfehler!\r\n");
    fclose(f);
    }
  else
    puts("Kann Ausgabedatei nicht ffnen!\r\n");

  puts("Datei zeilenweise lesen\r\n");
  if (f=fopen(f1,"r"))
    {
    while (fgets(l,21,f))
      {
      putchar('"');
      s=l;
      while (*s)
        if (*s>=' ')
          putchar(*s++);
        else
          {
          putchar('<');
          hex2(*s++);
          putchar('>');
          }
      puts("\"\r\n");
      getchar();
      }
    fclose(f);
    }
  else
    puts("Kann Eingabedatei nicht ffnen!\r\n");

  puts("Datei zeilenweise schreiben\r\n");
  if (f=fopen(f3,"w"))
    {
    strcpy(l,"******************************");
    strcat(l,"******************\r\n");
    i=0;
    while (fputs(l,f)!=EOF)
      {
      putchar('\r');
      hex4(++i);
      getchar();
      }
    puts("\r\n");
    fclose(f);
    }
  else
    puts("Kann Ausgabedatei nicht ffnen!\r\n");

  puts("Kopieren von 'stdin' auf 'stdout', ");
  puts("Laufanzeige auf 'stderr':\r\n");
  while (1)
    {
    if ((i=fgetc(stdin))==EOF)
      break;
    fputc(i,stdout);
    fputc('+',stderr);
    }

  return(0);
  }

/* === Ausgabefunktionen ============================================== */

hex2(int n)
/*-------*/
  {
  nib(n>>4);
  nib(n);
  }

hex4(int n)
/*-------*/
  {
  nib(n>>12);
  nib(n>>8);
  nib(n>>4);
  nib(n);
  }

nib(int n)
/*------*/
  {
  n=n&15;
  if (n<10)
    putchar(n+'0');
  else
    putchar(n-10+'A');
  }

/* === Ende =========================================================== */
